企业关联人案件串联服务
请求Header:
| 名称 | 值 | |
|---|---|---|
| Content-Type | application/x-www-form-urlencoded |
请求参数说明:
| 名称 | 必填 | 类型 | 说明 | |
|---|---|---|---|---|
| key | 是 | string | 在个人中心->我的数据,接口名称上方查看 | |
| name | 是 | string | 关联人名称 | |
| id | 否 | string | 请求个人时为必填,请求个人时为身份证号码 |
请求代码示例:
curl -k -i "https://apis.juhe.cn/api_credit/query839?key=key&name=xxx&id="
<?php
/**
* 2028-企业关联人案件串联服务 - 代码参考(根据实际业务情况修改)
*/
// 基本参数配置
$apiUrl = "https://apis.juhe.cn/api_credit/query839"; // 接口请求URL
$method = "GET"; // 接口请求方式
$headers = ["Content-Type: application/x-www-form-urlencoded"]; // 接口请求header
$apiKey = "您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
$requestParams = [
'key' => $apiKey,
'name'=> 'xxx',
'id'=> '',
];
$requestParamsStr = http_build_query($requestParams);
// 发起接口网络请求
$curl = curl_init();
curl_setopt($curl, CURLOPT_CUSTOMREQUEST, $method);
curl_setopt($curl, CURLOPT_URL, $apiUrl . '?' . $requestParamsStr);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_FAILONERROR, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
if (1 == strpos("$" . $apiUrl, "https://")) {
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
}
$response = curl_exec($curl);
$httpInfo = curl_getinfo($curl);
curl_close($curl);
// 解析响应结果
$responseResult = json_decode($response, true);
if ($responseResult) {
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
var_dump($responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
// var_dump($httpInfo);
var_dump("请求异常");
}
import requests
# 2028-企业关联人案件串联服务 - 代码参考(根据实际业务情况修改)
# 基本参数配置
apiUrl = 'https://apis.juhe.cn/api_credit/query839' # 接口请求URL
apiKey = '您申请的调用APIkey' # 在个人中心->我的数据,接口名称上方查看
# 接口请求入参配置
requestParams = {
'key': apiKey,
'name': 'xxx',
'id': '',
}
# 发起接口网络请求
response = requests.get(apiUrl, params=requestParams)
# 解析响应结果
if response.status_code == 200:
responseResult = response.json()
# 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
print(responseResult)
else:
# 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
print('请求异常')
package main
import (
"encoding/json"
"fmt"
"net/http"
"net/url"
)
func main() {
// 基本参数配置
apiUrl := "https://apis.juhe.cn/api_credit/query839"
apiKey := "您申请的调用APIkey"
// 接口请求入参配置
requestParams := url.Values{}
requestParams.Set("key", apiKey)
requestParams.Set("name", "xxx")
requestParams.Set("id", "")
// 发起接口网络请求
resp, err := http.Get(apiUrl + "?" + requestParams.Encode())
if err != nil {
fmt.Println("网络请求异常:", err)
return
}
defer resp.Body.Close()
var responseResult map[string]interface{}
err = json.NewDecoder(resp.Body).Decode(&responseResult)
if err != nil {
fmt.Println("解析响应结果异常:", err)
return
}
fmt.Println(responseResult)
}
using System;
using System.Net;
using Newtonsoft.Json;
using System.Collections.Generic;
using System.Linq;
namespace Common_API_Test.Test_Demo
{
class Csharp_get
{
static void Main(string[] args)
{
string url = "https://apis.juhe.cn/api_credit/query839";
string apiKey = "您申请的调用APIkey";
Dictionary<string, string> data = new Dictionary<string, string>();
data.Add("key", apiKey);
data.Add( "name", "xxx");
data.Add( "id", "");
using (WebClient client = new WebClient())
{
string fullUrl = url + "?" + string.Join("&", data.Select(x => x.Key + "=" + x.Value));
try
{
string responseContent = client.DownloadString(fullUrl);
dynamic responseData = JsonConvert.DeserializeObject(responseContent);
if (responseData != null)
{
Console.WriteLine("Return Code: " + responseData["error_code"]);
Console.WriteLine("Return Message: " + responseData["reason"]);
}
else
{
Console.WriteLine("json解析异常!");
}
}
catch (Exception)
{
Console.WriteLine("请检查其它错误");
}
}
}
}
}
const axios = require('axios'); // npm install axios
// 基本参数配置
const apiUrl = 'https://apis.juhe.cn/api_credit/query839'; // 接口请求URL
const apiKey = '您申请的调用APIkey'; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
const requestParams = {
key: apiKey,
name: 'xxx',
id: '',
};
// 发起接口网络请求
axios.get(apiUrl, {params: requestParams})
.then(response => {
// 解析响应结果
if (response.status === 200) {
const responseResult = response.data;
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
console.log(responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
console.log('请求异常');
}
})
.catch(error => {
// 网络请求失败,可以根据实际情况进行处理
console.log('网络请求失败:', error);
});
package cn.juhe.test;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;
import java.util.stream.Collectors;
public class JavaGet {
public static void main(String[] args) throws Exception {
String apiKey = "你申请的key";
String apiUrl = "https://apis.juhe.cn/api_credit/query839";
HashMap<String, String> map = new HashMap<>();
map.put("key", apiKey);
map.put("name", "xxx");
map.put("id", "");
URL url = new URL(String.format("%s?%s", apiUrl, params(map)));
BufferedReader in = new BufferedReader(new InputStreamReader((url.openConnection()).getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response);
}
public static String params(Map<String, String> map) {
return map.entrySet().stream()
.map(entry -> {
try {
return entry.getKey() + "=" + URLEncoder.encode(entry.getValue(), StandardCharsets.UTF_8.toString());
} catch (Exception e) {
e.printStackTrace();
return entry.getKey() + "=" + entry.getValue();
}
})
.collect(Collectors.joining("&"));
}
}
// 基本参数配置
NSString *apiUrl = @"https://apis.juhe.cn/api_credit/query839"; // 接口请求URL
NSString *apiKey = @"您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
NSDictionary *requestParams = @{
@"key": apiKey,
@"name": @"xxx",
@"id": @"",
};
// 发起接口网络请求
NSURLComponents *components = [NSURLComponents componentsWithString:apiUrl];
NSMutableArray *queryItems = [NSMutableArray array];
[requestParams enumerateKeysAndObjectsUsingBlock:^(NSString *key, NSString *value, BOOL *stop) {
[queryItems addObject:[NSURLQueryItem queryItemWithName:key value:value]];
}];
components.queryItems = queryItems;
NSURL *url = components.URL;
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
// 网络请求异常处理
NSLog(@"请求异常");
} else {
NSError *jsonError;
NSDictionary *responseResult = [NSJSONSerialization JSONObjectWithData:data options:0 error:&jsonError];
if (!jsonError) {
// 网络请求成功处理
// NSLog(@"%@", [responseResult objectForKey:@"error_code"]);
NSLog(@"%@", responseResult);
} else {
// 解析结果异常处理
NSLog(@"解析结果异常");
}
}
}];
[task resume];
返回参数说明:
| 名称 | 类型 | 说明 | |
|---|---|---|---|
| caseId | string | 案件唯一ID | |
| caseType | string | 案件类型大类;枚举:civil:民事;criminal:刑事;administrative:行政;preservation:非诉保全;implement:执;bankrupt:强制清算与破产; | |
| caseSubType | string | 案件类型 | |
| caseNo | string | 案号 | |
| priCaseNo | string | 原审案号,格式:"<案号>:<案件标识>" | |
| aftCaseNo | string | 后续案号,格式:"<案号>:<案件标识>" | |
| caseIdentification | string | 案件标识 | |
| court | string | 经办法院 | |
| courtLevel | string | 法院所属层级 | |
| caseProcess | string | 案件进展阶段 | |
| trialProcedure | string | 审理程序 | |
| belongRegion | string | 所属地域 | |
| caseDate | string | 立案时间,格式:"YYYY-MM-DD" | |
| caseReason | string | 立案案由 | |
| caseReasonLabel | string | 立案案由标签 | |
| caseReasonDetail | string | 立案案由详细,格式:"<案由1><案由2>,<案由3>" | |
| prosecutionLevel | string | 起诉标的金额等级 | |
| prosecutionAmount | string | 起诉标的金额 | |
| prosecutionEAmountLevel | string | 起诉标的金额估计等级 | |
| prosecutionEAmount | string | 起诉标的金额估计 | |
| trialMode | string | 审理方式信息,格式:"<厅次》,YYYY-MM-DDHH:mm:SS,<地点>,<是否公开审理>;..."。可包含多次开庭 | |
| closeTime | string | 结案时间 | |
| closeReason | string | 结案案由 | |
| closeReasonLabel | string | 结索案由标签 | |
| closeReasonDetail | string | 结索索由详细,格式"<案由1><案由2>,<案由3>" | |
| closeAmountlevel | string | 结案标的金额等级 | |
| closeAmount | string | 结索标的金额 | |
| closeEAmountlevel | string | 结案标的金额估计等级 | |
| closeEAmount | string | 结案标的金额估计 | |
| closeType | string | 结案方式 | |
| winProsecution | string | 胜诉估计 | |
| lawStatus | string | 诉讼地位 | |
| firstLawStatus | string | 一审诉讼地位 | |
| openDocId | string | 公开文书ID,仅被查询人为组织机构时提供 | |
| openDocCaseNo | string | 相关案件号 | |
| party | string | 当事人 | |
| openDocResult | string | 判决结果 | |
| criminalAmountLevel | string | 犯罪金额等级 | |
| criminalAmount | string | 犯罪金额 | |
| IndemnificationLevel | string | 被请求赔偿金额等级 | |
| IndemnificationAmount | string | 被请求赔偿金额 | |
| wealthExecLevel | string | 财产刑执行金额等级 | |
| wealthExecAmount | string | 财产刑执行金额 | |
| wealthExecELevel | string | 财产刑执行金额估计等级 | |
| wealthExecEAmount | string | 财产刑执行金额估计 | |
| sentenceLevel | string | 判处赔偿金额等级 | |
| sentenceAmount | string | 判处赔偿金额 | |
| sentenceELevel | string | 判处赔偿金额估计等级 | |
| sentenceEAmount | string | 判处赔偿金额估计 | |
| sentenceResult | string | 判处结果 | |
| convCharge | string | 定罪罪名 | |
| convChargeDetail | string | 定罪罪名详细 | |
| reqTotalAmount | string | 申请执行标的金额 | |
| relTotalAmount | string | 实际到位金额 | |
| noTotalAmount | string | 未执行金额 | |
| sqbqAmountLevel | string | 申请保全数额等级 | |
| sqbqAmount | string | 申请保全数额 | |
| sqbqTarget | string | 申请保全标的物 | |
| partyDetail | JSONARRAY | 当事人明细 | |
| caseCrc | string | 本次查询案件的CRC值,用于判断两次查询案件数据变化情况。 | |
| partyDetail(当事人明细) | |||
| partyName | string | 名称 | |
| partyType | string | 当事人类型 | |
| lawStatus | string | 诉讼地 |
服务级错误码参照(error_code):
| 错误码 | 说明 | |
|---|---|---|
| 283901 | 参数错误 | |
| 283902 | 查无记录 | |
| 283903 | 网络错误 | |
| 283904 | 查询失败 |
系统级错误码参照:
| 错误码 | 说明 | 旧版本(resultcode) | |
|---|---|---|---|
| 10001 | 错误的请求KEY | 101 | |
| 10002 | 该KEY无请求权限 | 102 | |
| 10003 | KEY过期 | 103 | |
| 10004 | 错误的OPENID | 104 | |
| 10005 | 应用未审核超时,请提交认证 | 105 | |
| 10007 | 未知的请求源 | 107 | |
| 10008 | 被禁止的IP | 108 | |
| 10009 | 被禁止的KEY | 109 | |
| 10011 | 当前IP请求超过限制 | 111 | |
| 10012 | 请求超过次数限制 | 112 | |
| 10013 | 测试KEY超过请求限制 | 113 | |
| 10014 | 系统内部异常(调用充值类业务时,请务必联系客服或通过订单查询接口检测订单,避免造成损失) | 114 | |
| 10020 | 接口维护 | 120 | |
| 10021 | 接口停用 | 121 |
错误码格式说明(示例:200201):
| 2 | 002 | 01 | |
|---|---|---|---|
| 服务级错误(1为系统级错误) | 服务模块代码(即数据ID) | 具体错误代码 |
接口文档下载
苏公网安备 32059002001776号